Impossibilité de "sélectionner tout" dans les balises [code]

Forum de support pour les questions concernant l'utilisation de phpBB 3.1, les problèmes rencontrés lors de manipulations, de configuration du forum ou de personnalisation autres que les Styles ou les Extensions.

Modérateur: Equipe

Règles du forum
A lire impérativement : Règlement de phpBB-fr.com

Pensez à effectuer une recherche, la réponse à votre question a de grandes chances d'avoir déjà été donnée.
Partager sur FacebookPartager sur TwitterPartager sur Google+

Impossibilité de "sélectionner tout" dans les balises [code]

Messagepar Rafeek » 03 Nov 2017 à 08:40

Bonjour,

Depuis quelques mois (aux environs de mai), il n'est plus possible de sélectionner le code inscrit entre les balises [code] à l'aide du bouton Sélectionner tout placé.
https://forum-dane.ac-lyon.fr/forum/viewtopic.php?f=44&t=2122#p15008
Image

Ca renvoie vers le haut du topic. N'étant pas une priorité, je ne m'y étais pas intéressé plus que ça. A l'époque le forum était en 3.1.9. Je pensais que le passage en 3.1.11 réglerait le problème. Et bien non.

Je viens de tester sur ce forum, et bien c'est pire car ça renvoie sur la passage d'accueil du forum !
http://forums.phpbb-fr.com/support-mises-a-jour-conversions-phpbb32/sujet210669.html#p1650295 :

Image

J'ai testé avec FF 56.0, Chromium 62.0.3202.62 sous Ubuntu 16.04. Et sur tous les postes W7 - FF sur lesquels je suis intervenu. Le constat est toujours le même.

J'ai bien trouvé ce post qui en parle : https://forums.mozfr.org/viewtopic.php?t=133276
Il laisserait à penser un problème de compatibilité entre phpbb et les montées de version des navigateurs.

Suis-je le seul à constater ce problème ? Comment puis-je le résoudre ?

Merci pour votre aide.

Cordialement
Forum en 3.1.11
Rafeek
Posteur néophyte
Posteur néophyte
 
Messages: 22
Enregistré le: 23 Juin 2006 à 14:25

Re: Impossibilité de "sélectionner tout" dans les balises [code]

Messagepar cocooncrash » 03 Nov 2017 à 10:01

Bonjour, le soucis est je pense plus avec firefox voir les navigateurs.
Quand a moi, sous internet explorer dernière version, aucun soucis, je peux sélectionner comme prévu, pareil sous edge.
decouvrez l'aide complete : ICI
découvrez les règles : La_bas

Pensez a ajouter le tag [réglé] en modifiant votre premier message s'il est résolu. Merci :wink:
Avatar de l’utilisateur
cocooncrash
Resp. des modérateurs
Resp. des modérateurs
 
Messages: 7542
Enregistré le: 07 Jan 2008 à 08:29
Localisation: dans un bocal en compagnie de nemo!!

Re: Impossibilité de "sélectionner tout" dans les balises [code]

Messagepar galixte » 03 Nov 2017 à 12:43

Ouai tu parles… Edge et Ie11 ne sont jamais mis à jour pour les fonctionnalités, juste pour les failles de sécurité (ce n’est pas complètement vrai mais bien à 90% lorsque je regarde les changelog tous les mois des mises à jour de Windows 10). :mrgreen:

C’est un problème qui touche Firefox, Google Chrome, Opera et sans doute d’autres dérivés à base du moteur Webkit.

La solution est d’utiliser phpBB 3.2.x. Ah, en voilà une bonne idée ! Surtout que le mois prochain, si le calendrier des publications de phpBB est respecté ce sera la dernière version de phpBB 3.1.x, la version 3.1.12 donc plus de mise à jour de sécurité. ;)
Modifié en dernier par galixte le 04 Nov 2017 à 05:42, modifié 1 fois.
Communau EzCom
Image
« Traductions d’extensions & styles pour phpBB 3.1.x & 3.2.x ».
ImageListes de toutes les extensions recensées pour phpBB 3.1.x & 3.2.x.
ImageListes de tous les styles recensés pour phpBB 3.1.x & 3.2.x.
Avatar de l’utilisateur
galixte
Floodeur universel
Floodeur universel
 
Messages: 10068
Enregistré le: 08 Mar 2004 à 01:40
Localisation: Sud de la France.

Re: Impossibilité de "sélectionner tout" dans les balises [code]

Messagepar Rafeek » 03 Nov 2017 à 16:32

Merci pour vos réponses. Je me doutais bien que c'était lié aux navigateurs.

Si je comprends bien la version 3.1.12 ne réglera pas le problème.

Avant de passer en 3.2.x, nous ferons des tests pour voir l'impact que ça aura sur notre forum. A priori, les extensions que nous utilisons sont compatibles 3.2.x. C'est pour le thème que j'ai des inquiétudes.

Peut-on faire la mise à niveau directement de 3.1.11 à 3.2.1 ?

+1 pour IE et edge, ce ne sont pas des navigateurs fiables quand il s'agit de tester quelque chose (et pour le reste d'ailleurs), tant les mises à jour sont rares.
Forum en 3.1.11
Rafeek
Posteur néophyte
Posteur néophyte
 
Messages: 22
Enregistré le: 23 Juin 2006 à 14:25

Re: Impossibilité de "sélectionner tout" dans les balises [code]

Messagepar galixte » 03 Nov 2017 à 16:40

Oui tu peux mettre à jour ton forum vers phpBB 3.2.x depuis la version que tu utilises, la démarche est celle-ci : documentation/mise-a-jour/32x-mise-a-niveau-de-phpbb-30x-vers-32x-a228-view.html à ceci près que tu préserveras aussi le répertoire ./ext/. ;)
Communau EzCom
Image
« Traductions d’extensions & styles pour phpBB 3.1.x & 3.2.x ».
ImageListes de toutes les extensions recensées pour phpBB 3.1.x & 3.2.x.
ImageListes de tous les styles recensés pour phpBB 3.1.x & 3.2.x.
Avatar de l’utilisateur
galixte
Floodeur universel
Floodeur universel
 
Messages: 10068
Enregistré le: 08 Mar 2004 à 01:40
Localisation: Sud de la France.

Re: Impossibilité de "sélectionner tout" dans les balises [code]

Messagepar Rafeek » 06 Nov 2017 à 08:36

Merci.
Forum en 3.1.11
Rafeek
Posteur néophyte
Posteur néophyte
 
Messages: 22
Enregistré le: 23 Juin 2006 à 14:25

Re: Impossibilité de "sélectionner tout" dans les balises [code]

Messagepar Rafeek » 06 Nov 2017 à 14:57

Nous venons de passer sur une plateforme de test notre forum en 3.2.1 et le problème est toujours présent :-(
Forum en 3.1.11
Rafeek
Posteur néophyte
Posteur néophyte
 
Messages: 22
Enregistré le: 23 Juin 2006 à 14:25

Re: Impossibilité de "sélectionner tout" dans les balises [code]

Messagepar galixte » 06 Nov 2017 à 15:37

Je ne rencontre pas ce problème sur les différents forums phpBB 3.2.1 que j’ai pu mettre en ligne, as-tu un lien à nous fournir afin que nous constations le soucis ?
Communau EzCom
Image
« Traductions d’extensions & styles pour phpBB 3.1.x & 3.2.x ».
ImageListes de toutes les extensions recensées pour phpBB 3.1.x & 3.2.x.
ImageListes de tous les styles recensés pour phpBB 3.1.x & 3.2.x.
Avatar de l’utilisateur
galixte
Floodeur universel
Floodeur universel
 
Messages: 10068
Enregistré le: 08 Mar 2004 à 01:40
Localisation: Sud de la France.

Re: Impossibilité de "sélectionner tout" dans les balises [code]

Messagepar Rafeek » 07 Nov 2017 à 11:24

Je pense que j'ai trouvé l'un des paramètres causant le problème : le thème qu'on utilise. On a mis un autre thème sur le 3.2.1 et le problème n'apparaît plus.

Sinon, notre plateforme de test est installé sur un réseau local, donc malheureusement je ne peux te fournir de lien.

On va essayer de voir ce que ça donne avec prosilver.
Forum en 3.1.11
Rafeek
Posteur néophyte
Posteur néophyte
 
Messages: 22
Enregistré le: 23 Juin 2006 à 14:25

Re: Impossibilité de "sélectionner tout" dans les balises [code]

Messagepar Sylveretour » 21 Nov 2017 à 18:42

Bonjour,

En fait, le problème concerne le JavaScript présent dans ton style.
Le lien de "tout sélectionner" est: onclick="selectCode(this); return false;"
Il fait appel au fichier forum_fn.js
Quand on voit la source du tient: https://forum-dane.ac-lyon.fr/forum/sty ... version=86 et qu'on le compare avec celui présent sur ce forum: styles/prosilver/template/forum_fn.js on comprend de suite qu'il est corrompu...
Pour réparer cela, tu reprend un fichier neuf et tu le met à la place. tu retourne sur ton forum et tu fait 2 fois F5 pour vider le cache de ton navigateur. retente et souris.....
Sylveretour
Apprenti-posteur
Apprenti-posteur
 
Messages: 115
Enregistré le: 21 Nov 2017 à 18:24


Retourner vers Utilisation

 


  • Articles en relation
    Réponses
    Vues
    Dernier message

Qui est en ligne

Utilisateurs parcourant ce forum : Aucun utilisateur enregistré et 3 invités